package com.ynet.life.datatype;

import com.ynet.gene.datatype.InvalidDataException;
import com.ynet.life.base.Trace;
import java.util.Locale;
import java.util.regex.Pattern;

/* loaded from: com_ynet_life_datatype.jar:com/ynet/life/datatype/AccountDataType.class */
public class AccountDataType extends LifeDataType {
    private static final Pattern PATTERN_INTEGER = Pattern.compile("^[0-9]+$");
    private int accountLength = 0;

    public Object convertFromString(String input, Locale locale) throws InvalidDataException {
        if (input == null || "".equals(input)) {
            return "";
        }
        if (PATTERN_INTEGER.matcher(input).matches()) {
            if (this.accountLength > 0 && this.accountLength != input.length()) {
                String error = "账号格式有误，正确格式为" + this.accountLength + "位数字";
                Trace.logError("LifeAction", error);
                throw new InvalidDataException(error);
            }
            return input.toString();
        }
        Trace.logError("LifeAction", "账号格式有误，只能为数字");
        throw new InvalidDataException("账号格式有误，只能为数字");
    }

    public void setAccountLength(int accountLength) {
        this.accountLength = accountLength;
    }
}
